All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.net.rmi
Interface RMIExportConfiguration

All Known Implementing Classes:
  SSLRMIConfiguration, SSLRMISocketFactories

    public interface RMIExportConfiguration

Interface that describes a configuration for exporting a remote object to the RMI system.

- port
- server socket factory
- client socket factory

Since:
  9.2

Method Summary
`int` | `getPortForClass(int requestedPort, java.lang.Class javaClass)` Gets the port which should be used to export the remote object.
`java.rmi.server.RMIClientSocketFactory` | `getRMIClientSocketFactory()` Gets the RMI client socket factory.
`java.rmi.server.RMIClientSocketFactory` | `getRMIClientSocketFactoryForClass(java.lang.Class javaClass)` Gets the RMI client socket factory for this factory's based upon the remote object's class.
`java.rmi.server.RMIServerSocketFactory` | `getRMIServerSocketFactory()` Gets the RMI server socket factory.
`java.rmi.server.RMIServerSocketFactory` | `getRMIServerSocketFactoryForClass(java.lang.Class javaClass)` Gets the RMI server socket factory based upon the remote object's class.

Method Detail

### getPortForClass

    int getPortForClass(int requestedPort,
                        java.lang.Class javaClass)

  Gets the port which should be used to export the remote object.

  Parameters:
    `requestedPort` - The port requested by the caller. An anonymous port may be requested by specifying a value of `0`.
    `javaClass` - The Java class for which an export port is desired or `null` if a default non-SSL server port is desired.
  Returns:
    The requested port or the platform port if an anonymous port was requested and a platform port is defined.

### getRMIClientSocketFactory

    java.rmi.server.RMIClientSocketFactory getRMIClientSocketFactory()

  Gets the RMI client socket factory.

  Returns:
    Returns the RMI client socket factory or `null` if the default client socket factory should be used. This method will always return the same object.
  See Also:
    `getRMIClientSocketFactoryForClass(Class)`

### getRMIClientSocketFactoryForClass

    java.rmi.server.RMIClientSocketFactory getRMIClientSocketFactoryForClass(java.lang.Class javaClass)
                                                                             throws java.lang.IllegalArgumentException

  Gets the RMI client socket factory for this factory's based upon the remote object's class.

  Parameters:
    `javaClass` - The Java class which will be used to determine the appropriate RMI client socket factory.
  Returns:
    Returns the RMI client socket factory for the specified Java class or `null` if the default factory should be used.
  Throws:
    `java.lang.IllegalArgumentException` - if a `null` Java class name is specified.
  See Also:
    `getRMIClientSocketFactory()`

### getRMIServerSocketFactory

    java.rmi.server.RMIServerSocketFactory getRMIServerSocketFactory()

  Gets the RMI server socket factory.

  Returns:
    Returns the RMI server socket factory or `null` if the default factory should be used.
  See Also:
    `getRMIServerSocketFactoryForClass(Class)`

### getRMIServerSocketFactoryForClass

    java.rmi.server.RMIServerSocketFactory getRMIServerSocketFactoryForClass(java.lang.Class javaClass)
                                                                             throws java.lang.IllegalArgumentException

  Gets the RMI server socket factory based upon the remote object's class.

  Parameters:
    `javaClass` - The Java class for which an RMI server socket factory is desired.
  Returns:
    Returns an RMI server socket factory or `null` if the default factory should be used.
  Throws:
    `java.lang.IllegalArgumentException` - if a `null` Java class name is specified.
  See Also:
    `getRMIServerSocketFactory()`

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.